Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Interface AjaxContainerBase

All Known Subinterfaces:
  AjaxContainer

    public interface AjaxContainerBase

Base interface for controller component, managed AJAX Requests. Component, implemented this interface, must always return `true` for `javax.faces.component.UIComponent#getRendersChildren()` method. in common, set of components, rendered of current request, maintain by it. TODO - add capabilites for components, rendered in `PhaseListener`

Version:
  $Revision: 1.1.2.2 $ $Date: 2007/02/06 16:23:20 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Method Summary
`javax.el.MethodExpression` | `getAjaxListener()` getter for AjaxListener method.
`boolean` | `isImmediate()` getter for flag immediate call Listener's on PhaseId.APPLY_REQUEST_VALUES phase.
`boolean` | `isSelfRendered()` getter for render method flag of subview.
`boolean` | `isSubmitted()`
`void` | `setAjaxListener(javax.el.MethodExpression ajaxListener)` setter for AjaxListener `MethodBinding` in case on AjaxRequest, component must call this method in `PhaseId.APPLY_REQUEST_VALUES` or `PhaseId.INVOKE_APPLICATION` phases, depend on immediate flag.
`void` | `setImmediate(boolean immediate)` setter for immediate flag.
`void` | `setSelfRendered(boolean selfRendered)` setter for self-render flag.
`void` | `setSubmitted(boolean submitted)`

Method Detail

### getAjaxListener

    javax.el.MethodExpression getAjaxListener()

  getter for AjaxListener method. Same as for `ActionSource`

  See Also:
    `ActionSource.getActionListener()`

### setAjaxListener

    void setAjaxListener(javax.el.MethodExpression ajaxListener)

  setter for AjaxListener `MethodBinding` in case on AjaxRequest, component must call this method in `PhaseId.APPLY_REQUEST_VALUES` or `PhaseId.INVOKE_APPLICATION` phases, depend on immediate flag.

  See Also:
    `ActionSource.setActionListener(javax.faces.el.MethodBinding)`

### isImmediate

    boolean isImmediate()

  getter for flag immediate call Listener's on PhaseId.APPLY_REQUEST_VALUES phase.

  See Also:
    `ActionSource.isImmediate()`

### isSelfRendered

    boolean isSelfRendered()

  getter for render method flag of subview. If true, on AJAX-request component render it children after `com.sun.faces.lifecycle.Phase.INVOKE_APPLICATION`

  Returns:
    value of selfRendered flag

### setSelfRendered

    void setSelfRendered(boolean selfRendered)

  setter for self-render flag.

  Parameters:
    `selfRendered` -

### setImmediate

    void setImmediate(boolean immediate)

  setter for immediate flag.

  See Also:
    `ActionSource.setImmediate(boolean)`

### isSubmitted

    boolean isSubmitted()

### setSubmitted

    void setSubmitted(boolean submitted)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.